package cpcns.shenpiyushe.service.impl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.common.dao.ICommonDao;
import cpcns.common.service.impl.commonServiceImpl;
import cpcns.shenpiyushe.dao.IDShenPiYuSheDao;
import cpcns.shenpiyushe.model.DShenPiRenYuan;
import cpcns.shenpiyushe.model.DShenPiYuShe;
import cpcns.shenpiyushe.service.IDShenPiRenYuanService;
import cpcns.shenpiyushe.service.IDShenPiYuSheService;

public class DShenPiYuSheServiceImpl extends commonServiceImpl<DShenPiYuShe> implements IDShenPiYuSheService {
  private IDShenPiYuSheDao dShenPiYuSheDao;
  
  private IDShenPiRenYuanService dShenPiRenYuanServiceImpl;
  
  public IDShenPiYuSheDao getdShenPiYuSheDao() {
    return this.dShenPiYuSheDao;
  }
  
  public void setdShenPiYuSheDao(IDShenPiYuSheDao dShenPiYuSheDao) {
    setCommonDao((ICommonDao)dShenPiYuSheDao);
    this.dShenPiYuSheDao = dShenPiYuSheDao;
  }
  
  public void addinfo(DShenPiYuShe t) {
    this.dShenPiYuSheDao.saveOrUpdate(t);
    String info = t.getSprmcInfo();
    String[] infos = info.split(";");
    if (infos != null && infos.length > 0) {
      this.dShenPiRenYuanServiceImpl.deleInfo(t.getHangBiaoShi());
      for (int i = 0; i < infos.length; i++) {
        String[] obj = infos[i].split(",");
        DShenPiRenYuan ry = new DShenPiRenYuan();
        ry.setHangBiaoShi(Integer.valueOf(this.dShenPiRenYuanServiceImpl.getPk()));
        ry.setGuanLianBiaoShi(t.getHangBiaoShi());
        ry.setShenHeRenMingCheng(obj[0]);
        ry.setShenHeRenBiaoShi(Integer.valueOf(obj[1]));
        ry.setShenHeRenBuMen(obj[2]);
        ry.setShenHeRenBuMenBiaoShi(Integer.valueOf(obj[3]));
        ry.setCiXu(Integer.valueOf(obj[4]));
        this.dShenPiRenYuanServiceImpl.save(ry);
      } 
    } 
  }
  
  public IDShenPiRenYuanService getdShenPiRenYuanServiceImpl() {
    return this.dShenPiRenYuanServiceImpl;
  }
  
  public void setdShenPiRenYuanServiceImpl(IDShenPiRenYuanService dShenPiRenYuanServiceImpl) {
    this.dShenPiRenYuanServiceImpl = dShenPiRenYuanServiceImpl;
  }
  
  public void deleteInfo(String id) {
    this.dShenPiYuSheDao.delete(id);
    this.dShenPiRenYuanServiceImpl.deleteInfo("GuanLianBiaoShi", id);
  }
}
